Package: org.codehaus.groovy.ant

## [Java] Class UberCompileTask

- org.codehaus.groovy.ant.UberCompileTask

- Compiles Java and Groovy source files. This works by invoking the GenerateStubsTask task, then the Javac task and then the GroovycTask. Each task can be configured by creating a nested element. Common configuration such as the source dir and classpath is picked up from this tasks configuration.

  Authors:
    Jason Dillon

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Path` | `createClasspath()`
    `` | `UberCompileTask.GenStubsAdapter` | `createGeneratestubs()`
    `` | `UberCompileTask.GroovycAdapter` | `createGroovyc()`
    `` | `UberCompileTask.JavacAdapter` | `createJavac()`
    `` | `Path` | `createSrc()`
    `` | `void` | `execute()`
    `` | `Path` | `getClasspath()`
    `` | `Path` | `getSrcdir()`
    `` | `void` | `setClasspath(Path path)`
    `` | `void` | `setClasspathRef(Reference r)`
    `` | `void` | `setDestdir(File dir)`
    `` | `void` | `setSrcdir(Path dir)`
    `` | `protected void` | `validate()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---

    `class Task`

    `getTaskName, getOwningTarget, getTaskType, setTaskType, setTaskName, setOwningTarget, getRuntimeConfigurableWrapper, setRuntimeConfigurableWrapper, maybeConfigure, reconfigure, perform, bindToOwner, log, log, log, log, init, execute, setProject, setLocation, clone, getLocation, getDescription, setDescription, getProject, equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

    `class ProjectComponent` | `setProject, setLocation, clone, log, log, getLocation, getDescription, setDescription, getProject, equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### public Path createClasspath()

    - #### public UberCompileTask.GenStubsAdapter createGeneratestubs()

    - #### public UberCompileTask.GroovycAdapter createGroovyc()

    - #### public UberCompileTask.JavacAdapter createJavac()

    - #### public Path createSrc()

    - #### public void execute()

    - #### public Path getClasspath()

    - #### public Path getSrcdir()

    - #### public void setClasspath(Path path)

    - #### public void setClasspathRef(Reference r)

    - #### public void setDestdir(File dir)

    - #### public void setSrcdir(Path dir)

    - #### protected void validate()